package domain


type AlibabaRetailMarketingItempoolActivityQueryActionDTO struct {
    /*
        是否减钱     */
    Decrease  *bool `json:"decrease,omitempty" `

    /*
        满减金额，单位分     */
    DecreaseMoney  *int64 `json:"decrease_money,omitempty" `

    /*
        是否打折     */
    Discount  *bool `json:"discount,omitempty" `

    /*
        折扣率     */
    DiscountRate  *int64 `json:"discount_rate,omitempty" `

    /*
        是否一口价     */
    FixPrice  *bool `json:"fix_price,omitempty" `

    /*
        一口价金额，单位分     */
    FixPriceMoney  *int64 `json:"fix_price_money,omitempty" `

    /*
        一口价类型 0: 普通一口价 1: 每件或者第n件一口价 2: 整体一口价     */
    FixPriceType  *int64 `json:"fix_price_type,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetDecrease(v bool) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.Decrease = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetDecreaseMoney(v int64) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.DecreaseMoney = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetDiscount(v bool) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.Discount = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetDiscountRate(v int64) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.DiscountRate = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetFixPrice(v bool) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.FixPrice = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetFixPriceMoney(v int64) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.FixPriceMoney = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryActionDTO) SetFixPriceType(v int64) *AlibabaRetailMarketingItempoolActivityQueryActionDTO {
    s.FixPriceType = &v
    return s
}
